DOCS
Dashboardnorth_eastGet an API keyvpn_key
PAI Chat·Endpoint
PATCH/chatbot/{chatbotId}/config

Update a chatbot config value

Update a chatbot config value

POST/chatbot/{chatbotId}/asset-uploadarrow_forward
tune
Parameters
typerequiredquery
stringstyle_sheet · features
The type of the config to update
chatbotIdrequiredpath
string (uuid)
The ID of the chatbot
upload
Request body
theme
string · system | dark | light
Theme mode for the chatbot widget
primaryColor
string
Hex color code for primary elements like buttons, links, message bubbles
launcherPosition
string · left | right
Horizontal position of the launcher
sideSpacing
number
Spacing from the side edge in pixels
bottomSpacing
number
Spacing from the bottom edge in pixels
logoUrl
stringnull
URL for the default chatbot logo
logoDarkUrl
stringnull
URL for the chatbot logo in dark mode
logoVerticalUrl
stringnull
URL for the vertical chatbot logo
logoVerticalDarkUrl
stringnull
URL for the vertical chatbot logo in dark mode
iconUrl
stringnull
URL for the chatbot icon
iconDarkUrl
stringnull
URL for the chatbot icon in dark mode
faviconUrl
stringnull
URL for the chatbot favicon
lightPrimaryColor
string
Primary color for light theme
lightSecondaryColor
string
Secondary color for light theme
darkPrimaryColor
string
Primary color for dark theme
darkSecondaryColor
string
Secondary color for dark theme
title
stringnull
Title displayed in the chatbot header
questions
array
Suggested questions shown to users
welcomeMessage
string
Welcome message displayed when chat opens
dataUsageUrl
stringnull
URL to the data usage policy
termsAndConditionsUrl
stringnull
URL to the terms and conditions
privacyPolicyUrl
stringnull
URL to the privacy policy
rag
boolean
Answer from knowledge base using retrieval-augmented generation
fileGeneration
boolean
Let the bot create documents (PDF, CSV, etc.) as part of its replies
fileDownload
boolean
Allow users to download files shared by the bot during a conversation
webSearch
boolean
Let the bot search the web for up-to-date information
emailNotifications
boolean
Let the bot send email notifications on your behalf
imageGeneration
boolean
Generate images from text prompts
double_arrow
Returns 200
idrequired
string (uuid)
chatbotIdrequired
string (uuid)
typerequired
enum
valuerequired
object
createdAtrequired
string (date-time)
updatedAtrequired
string (date-time)
report
Errors
StatusDescription
404Default Response
500Default Response
north_east
Request
curl -X PATCH 'https://chat-api-dev.paicloud.ai//chatbot/{chatbotId}/config' \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
  "theme": "system",
  "primaryColor": "primaryColor",
  "launcherPosition": "left",
  "sideSpacing": 0,
  "bottomSpacing": 0,
  "logoUrl": "logoUrl",
  "logoDarkUrl": "logoDarkUrl",
  "logoVerticalUrl": "logoVerticalUrl",
  "logoVerticalDarkUrl": "logoVerticalDarkUrl",
  "iconUrl": "iconUrl",
  "iconDarkUrl": "iconDarkUrl",
  "faviconUrl": "faviconUrl",
  "lightPrimaryColor": "lightPrimaryColor",
  "lightSecondaryColor": "lightSecondaryColor",
  "darkPrimaryColor": "darkPrimaryColor",
  "darkSecondaryColor": "darkSecondaryColor",
  "title": "title",
  "questions": [],
  "welcomeMessage": "welcomeMessage",
  "dataUsageUrl": "dataUsageUrl",
  "termsAndConditionsUrl": "termsAndConditionsUrl",
  "privacyPolicyUrl": "privacyPolicyUrl",
  "rag": true,
  "fileGeneration": true,
  "fileDownload": true,
  "webSearch": true,
  "emailNotifications": true,
  "imageGeneration": true
}'
south_west
Response
200 OK
application/json
{
  "id": "00000000-0000-0000-0000-000000000001",
  "chatbotId": "00000000-0000-0000-0000-000000000001",
  "type": "style_sheet",
  "value": {},
  "createdAt": "2026-01-01T00: 00:00Z",
  "updatedAt": "2026-01-01T00: 00:00Z"
}